/* /Components/AdminFilePicker.razor.rz.scp.css */

#fileDialog[b-qu8xgps7zh] {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(51,51,51,0.5);
    z-index: 1356;
}

    #fileDialog[b-qu8xgps7zh]  .filebox {
        position: absolute;
        background: var(--bs-body-bg);
        width: 980px;
        border: 1px var(--bs-border-color) solid;
        border-radius: 3px;
        top: 0;
        left: 50%;
        transform: translate(-50%, 0);
        z-index: 1357;
    }

        #fileDialog[b-qu8xgps7zh]  .filebox > .card-body {
            height: 520px;
        }

    #fileDialog[b-qu8xgps7zh]  .card-footer {
        text-align: right;
    }

    #fileDialog[b-qu8xgps7zh]  .listview-item p {
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        width: 180px;
    }
/* /Components/AdminOrgChart.razor.rz.scp.css */
.org-chart[b-a04e29kmtc] {min-width:800px;}
.org-chart ul[b-a04e29kmtc] {
    padding-top: 20px;
    position: relative;
    transition: all .5s;
    /* 清除浮动 */
    overflow: auto;
}

    .org-chart ul[b-a04e29kmtc]::after {
        content: "";
        display: table;
        clear: both;
    }

.org-chart li[b-a04e29kmtc] {
    float: left;
    text-align: center;
    list-style-type: none;
    position: relative;
    padding: 20px 5px 0;
    transition: all .5s;
}

    .org-chart li[b-a04e29kmtc]::after,
    .org-chart li[b-a04e29kmtc]::before {
        content: '';
        position: absolute;
        top: 0;
        right: 50%;
        border-top: 1px solid #ccc;
        width: 50%;
        height: 20px;
    }

    .org-chart li[b-a04e29kmtc]::after {
        right: auto;
        left: 50%;
        border-left: 1px solid #ccc;
    }

    .org-chart li:only-child[b-a04e29kmtc]::after,
    .org-chart li:only-child[b-a04e29kmtc]::before {
        display: none;
    }

    .org-chart li:only-child[b-a04e29kmtc] {
        padding-top: 0;
    }

    .org-chart li:first-child[b-a04e29kmtc]::before,
    .org-chart li:last-child[b-a04e29kmtc]::after {
        border: 0 none;
    }

    .org-chart li:last-child[b-a04e29kmtc]::before {
        border-right: 1px solid #ccc;
        border-radius: 0 5px 0 0;
    }

    .org-chart li:first-child[b-a04e29kmtc]::after {
        /* 修正圆角属性值 */
        border-radius: 5px 0 0 0;
    }

.org-chart ul ul[b-a04e29kmtc]::before {
    content: '';
    position: absolute;
    top: 0;
    left: 50%;
    border-left: 1px solid #ccc;
    width: 0;
    height: 20px;
}

    .org-chart li div[b-a04e29kmtc] {
        border: 1px solid #ccc;
        padding: 5px 10px;
        text-decoration: none;
        color: var(--bs-font-color1);
        font-family: arial, verdana, tahoma;
        font-size: 14px;
        display: inline-block;
        border-radius: 5px;
        transition: all .5s;
    }

    .org-chart li div:hover[b-a04e29kmtc],
    .org-chart li div:hover + ul li div[b-a04e29kmtc] {
        background: #c8e4f8;
        color: #000;
        border: 1px solid #94a0b4;
    }

        .org-chart li div:hover + ul li[b-a04e29kmtc]::after,
        .org-chart li div:hover + ul li[b-a04e29kmtc]::before,
        .org-chart li div:hover + ul ul[b-a04e29kmtc]::before,
        .org-chart li div:hover + ul[b-a04e29kmtc]::before {
            border-color: #94a0b4;
        }
/* /Components/CultureChooser.razor.rz.scp.css */
.culture-selector[b-zn44j8ds9e] {
    --bs-border-color: var(--bb-header-dropdown-border-color);
    --bb-border-hover-color: var(--bb-header-dropdown-border-hover-color);
    --bb-select-color: var(--bb-header-dropdown-color);
    display: flex;
    align-items: center;
    color: var(--bb-select-color);
}

    .culture-selector span[b-zn44j8ds9e] {
        margin: 0;
        color: var(--bs-navbar-color);
        display: none;
    }

    .culture-selector[b-zn44j8ds9e]  .select {
        width: var(--bb-header-select-width);
    }

[b-zn44j8ds9e] .form-control {
    transition: border-color .3s linear;
}

[b-zn44j8ds9e] .dropdown-toggle {
    --bs-body-bg: transparent;
}


[b-zn44j8ds9e] .form-select {
    color: var(--bb-select-color);
}

@media (min-width: 768px) {
    .culture-selector span[b-zn44j8ds9e] {
        display: block;
    }
}
/* /Components/Layout/LayoutPreview.razor.rz.scp.css */
.layout-preview[b-ye5lrybyhv] {
    font-size: 9px;
    border-radius: 4px;
    padding: 4px;
    cursor: pointer;
    border: 2px solid #c0c4cc;
    transition: border .3s linear;
}

    .layout-preview:hover[b-ye5lrybyhv] {
        border: 2px solid #28a745;
    }

    .layout-preview.active[b-ye5lrybyhv] {
        border: 2px solid #28a745;
    }

[b-ye5lrybyhv] .layout {
    --bb-layout-height: 80px;
    --bb-layout-header-height: 16px;
    --bb-layout-footer-height: 12px;
    --bb-layout-sidebar-width: 30%;
    --bb-layout-banner-font-size: 9px;
    --bb-layout-title-color: #fff;
    border: 1px solid var(--bb-layout-header-background);
}

    [b-ye5lrybyhv] .layout .layout-footer,
    [b-ye5lrybyhv] .layout .layout-header {
        justify-content: center;
    }

    [b-ye5lrybyhv] .layout .layout-menu {
        display: flex;
        align-items: center;
        justify-content: center;
    }
/* /Pages/Login.razor.rz.scp.css */
.signin[b-f1gij0n618] {
    height: 100%;
    display: flex;
    align-items: center;
    padding-top: 0;
    padding-bottom: 40px;
    background-color: #f5f5f5;
}
.form-signin[b-f1gij0n618] {
    max-width: 330px;
    padding: 15px;
}

    .form-signin .form-floating:focus-within[b-f1gij0n618] {
        z-index: 2;
    }

    .form-signin input[type="email"][b-f1gij0n618] {
        margin-bottom: -1px;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
    }

    .form-signin input[type="password"][b-f1gij0n618] {
        margin-bottom: 10px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }
